POST
/api/v1/transactions/{intentPublicId}/cancelWallets_CancelTransactionIntent
- Authentication
- required-user
- Cache policy
- none
- Success and errors
- 200, 400, 401, 403, 404, 409, 410, 422, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Wallets_CancelTransactionIntent",
"summary": "POST /api/v1/transactions/{intentPublicId}/cancel",
"tags": [
"Wallets"
],
"parameters": [
{
"name": "intentPublicId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
{
"name": "Idempotency-Key",
"in": "header",
"required": true,
"schema": {
"type": "string",
"format": "uuid"
}
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"expectedVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"expectedVersion"
],
"additionalProperties": false
}
}
}
},
"security": [
{
"cookieAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"walletPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workspacePublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"entityPublicId": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"network": {
"type": "string"
},
"kind": {
"type": "string"
},
"state": {
"type": "string",
"enum": [
"DRAFT",
"SIMULATION_PENDING",
"SIMULATED",
"APPROVAL_REQUIRED",
"APPROVED",
"SIGNING_PENDING",
"SIGNED",
"SUBMISSION_PENDING",
"SUBMITTED",
"OBSERVED",
"CONFIRMED",
"FINALIZED",
"REVERTED",
"DROPPED",
"EXPIRED",
"CANCELLED",
"RETRYABLE_FAILURE",
"TERMINAL_FAILURE",
"MANUAL_REVIEW"
]
},
"destination": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"document": {
"oneOf": [
{
"type": "object",
"properties": {
"family": {
"type": "string",
"const": "evm"
},
"caip2": {
"type": "string",
"pattern": "^eip155:(0|[1-9][0-9]*)$"
},
"to": {
"type": "string",
"pattern": "^0x[0-9a-fA-F]{40}$"
},
"value": {
"type": "string",
"pattern": "^0x[0-9a-fA-F]{1,64}$"
},
"data": {
"type": "string",
"maxLength": 262146,
"pattern": "^0x(?:[0-9a-fA-F]{2})*$"
},
"gasLimit": {
"type": "string",
"pattern": "^0x[0-9a-fA-F]{1,64}$"
},
"gasPrice": {
"type": "string",
"pattern": "^0x[0-9a-fA-F]{1,64}$"
},
"nonce": {
"type": "string",
"pattern": "^0x[0-9a-fA-F]{1,64}$"
},
"maxFeePerGas": {
"type": "string",
"pattern": "^0x[0-9a-fA-F]{1,64}$"
},
"maxPriorityFeePerGas": {
"type": "string",
"pattern": "^0x[0-9a-fA-F]{1,64}$"
},
"feeBudgetUnits": {
"type": "string",
"maxLength": 78,
"pattern": "^(0|[1-9][0-9]*)$"
}
},
"required": [
"family",
"caip2",
"to"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"family": {
"type": "string",
"const": "svm"
},
"caip2": {
"type": "string",
"pattern": "^solana:[A-Za-z0-9]+$"
},
"transactionBase64": {
"type": "string",
"minLength": 1,
"maxLength": 350000
},
"encoding": {
"type": "string",
"const": "base64"
},
"feeBudgetUnits": {
"type": "string",
"maxLength": 78,
"pattern": "^(0|[1-9][0-9]*)$"
},
"additionalNativeDebitBudgetUnits": {
"type": "string",
"maxLength": 78,
"pattern": "^(0|[1-9][0-9]*)$"
}
},
"required": [
"family",
"caip2",
"transactionBase64",
"encoding"
],
"additionalProperties": false
}
]
},
"decoded": {
"type": "object",
"properties": {
"schemaVersion": {
"type": "number",
"const": 1
},
"family": {
"type": "string",
"enum": [
"evm",
"svm"
]
},
"feePayer": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"signers": {
"maxItems": 32,
"type": "array",
"items": {
"type": "string"
}
},
"operation": {
"type": "string",
"enum": [
"NATIVE_TRANSFER",
"TOKEN_TRANSFER",
"TOKEN_APPROVAL",
"CONTRACT_CALL",
"PROGRAM_INSTRUCTION",
"OTHER"
]
},
"executionTargets": {
"maxItems": 64,
"type": "array",
"items": {
"type": "object",
"properties": {
"address": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"CONTRACT",
"PROGRAM"
]
}
},
"required": [
"address",
"role"
],
"additionalProperties": false
}
},
"assetAddress": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"destination": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"units": {
"anyOf": [
{
"type": "string",
"maxLength": 78,
"pattern": "^(0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"nativeValueUnits": {
"type": "string",
"maxLength": 78,
"pattern": "^(0|[1-9][0-9]*)$"
},
"programIds": {
"maxItems": 64,
"type": "array",
"items": {
"type": "string"
}
},
"warnings": {
"maxItems": 32,
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"schemaVersion",
"family",
"feePayer",
"signers",
"operation",
"executionTargets",
"assetAddress",
"destination",
"units",
"nativeValueUnits",
"programIds",
"warnings"
],
"additionalProperties": false
},
"asset": {
"anyOf": [
{
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"symbol": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"decimals": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"symbol",
"decimals"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"units": {
"anyOf": [
{
"type": "string",
"maxLength": 78,
"pattern": "^(0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"intentHash": {
"type": "string",
"pattern": "^[0-9a-f]{64}$"
},
"policyVersion": {
"anyOf": [
{
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"simulation": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"state": {
"type": "string"
},
"expectedFeeUnits": {
"anyOf": [
{
"type": "string",
"maxLength": 78,
"pattern": "^(0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"validUntil": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"errorCode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"state",
"expectedFeeUnits",
"validUntil",
"errorCode"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"approval": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"state": {
"type": "string"
},
"expiresAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"decidedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"state",
"expiresAt",
"decidedAt"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"submission": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"state": {
"type": "string"
},
"transaction": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"confirmations": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"submittedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"confirmedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"finalizedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"state",
"transaction",
"confirmations",
"submittedAt",
"confirmedAt",
"finalizedAt"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"failureClass": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"failureCode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"failureSummary": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"expiresAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"version": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"id",
"publicId",
"walletPublicId",
"workspacePublicId",
"entityPublicId",
"network",
"kind",
"state",
"destination",
"document",
"decoded",
"asset",
"units",
"intentHash",
"policyVersion",
"simulation",
"approval",
"submission",
"failureClass",
"failureCode",
"failureSummary",
"expiresAt",
"version",
"createdAt",
"updatedAt"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"401": {
"description": "unauthenticated",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"403": {
"description": "forbidden",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"409": {
"description": "conflict",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"410": {
"description": "challenge expired",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"422": {
"description": "proof invalid",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "required-user",
"x-cache-policy": "none",
"x-required-scopes": [],
"x-rate-cost": 1,
"x-stability": "STABLE"
}